Add Sessions To Scope
curl --request POST \
--url https://api.honcho.dev/v3/workspaces/{workspace_id}/scopes/{scope_id}/sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"session_ids": [
"<string>"
]
}
'import requests
url = "https://api.honcho.dev/v3/workspaces/{workspace_id}/scopes/{scope_id}/sessions"
payload = { "session_ids": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({session_ids: ['<string>']})
};
fetch('https://api.honcho.dev/v3/workspaces/{workspace_id}/scopes/{scope_id}/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}scopes
Add Sessions To Scope
Add Sessions to a Scope.
All named sessions must already exist (404 otherwise). Adding a session that
is already a member is a no-op. List the resulting membership with
POST /scopes/{scope_id}/sessions/list.
Note: any added session that already has messages triggers an asynchronous
backfill-by-copy of its existing documents into the scope; track progress
via GET /scopes/{scope_id}/status.
POST
/
v3
/
workspaces
/
{workspace_id}
/
scopes
/
{scope_id}
/
sessions
Add Sessions To Scope
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
IDs of the sessions to add to the scope
IDs of existing sessions to add to the scope
Required array length:
1 - 100 elementsResponse
Successful Response
Was this page helpful?